#!/usr/bin/bash

if [[ -z "${USERNAME}" ]]; then
  echo "Set the USERNAME for Gitea"
  exit 1
fi

if [[ -z "${PASSWORD}" ]]; then
  echo "Set the PASSWORD for Gitea"
  exit 1
fi

echo 'Create the Debian package...'

pkg_full_path=$(cargo deb)
pkg_filename=$(basename "${pkg_full_path}")
pkg_name=$(echo "${pkg_filename}" | awk -F _ '{print $1}')
pkg_version=$(echo "${pkg_filename}" | awk -F _ '{print $2}')

gitea_server="code.birch-tree.net"

curl --user "${USERNAME}:${PASSWORD}" \
	--upload-file "${pkg_full_path}" \
	--silent \
	-X PUT \
	"https://${gitea_server}/api/packages/${USERNAME}/generic/${pkg_name}/${pkg_version}/${pkg_filename}"

echo "Published ${pkg_name} v${pkg_version} ===> ${pkg_filename}"
